# Class AprEndpoint.SocketWithOptionsProcessor

java.lang.Object
org.apache.tomcat.util.net.AprEndpoint.SocketWithOptionsProcessor

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  `AprEndpoint`

protected class AprEndpoint.SocketWithOptionsProcessor extends Object implements Runnable
This class is the equivalent of the Worker, but will simply use in an external Executor thread pool. This will also set the socket options and do the handshake. This is called after an accept().

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected SocketWrapperBase<Long>`
  `socket`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SocketWithOptionsProcessor(SocketWrapperBase<Long> socket)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `run()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### socket

    protected SocketWrapperBase<Long> socket

- ## Constructor Details

  - ### SocketWithOptionsProcessor

    public SocketWithOptionsProcessor(SocketWrapperBase<Long> socket)

- ## Method Details

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`